#if !defined(PS_LIB_FOR_SWIG_H)
#define PS_LIB_FOR_SWIG_H

void psErrorStackPrintForSwig(void);
const psErr *psErrorGetForSwig(int i);

#if defined(psTrace)
#   undef psTrace
#endif
void psTrace(const char *comp, int level, char *str);

bool psMetadataAddBool(psMetadata* restrict md, int where, const char *name, const char *comment, int val);

#endif
